## chromaprint chromaprint |

## Properties

guint | duration | Read / Write
gchar * | fingerprint | Read

## Types and Values

struct | GstChromaprint

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstChromaprint

## Description

The chromaprint element calculates an acoustic fingerprint for an audio stream which can be used to identify a song and look up further metadata from the Acoustid and Musicbrainz databases.

#### Example launch line

    1
    gst-launch-1.0 -m uridecodebin uri=file:///path/to/song.ogg ! audioconvert ! chromaprint ! fakesink

## Synopsis

### Element Information

plugin | chromaprint
author | Lukáš Lalinský <lalinsky@gmail.com>
class | Filter/Analyzer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ]

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ]

## Functions

## Types and Values

### struct GstChromaprint

    struct GstChromaprint;

Opaque GstChromaprint element structure

## Property Details

### The `“duration”` property

      “duration”                 guint

Number of seconds of audio to use for fingerprinting.

Flags: Read / Write

Default value: 120

### The `“fingerprint”` property

      “fingerprint”              gchar *

Resulting fingerprint.

Flags: Read

Default value: NULL